summaryrefslogtreecommitdiffstats
path: root/libraries/libaosd
diff options
context:
space:
mode:
author Pablo Santamaria2010-05-13 00:58:45 +0200
committer Erik Hanson2010-05-13 00:58:45 +0200
commitcd4c417a3e2ec7f59ce45946409f3bcb8755d586 (patch)
tree3bb1803c12465a5a4bc517e860a916b1db26c396 /libraries/libaosd
parent3c95a3669a81d3d50f907b257157c9412b59ac4a (diff)
downloadslackbuilds-cd4c417a3e2ec7f59ce45946409f3bcb8755d586.tar.gz
libraries/libaosd: Added to 13.0 repository
Diffstat (limited to 'libraries/libaosd')
-rw-r--r--libraries/libaosd/README5
-rw-r--r--libraries/libaosd/libaosd.SlackBuild79
-rw-r--r--libraries/libaosd/libaosd.info10
-rw-r--r--libraries/libaosd/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/libraries/libaosd/README b/libraries/libaosd/README
new file mode 100644
index 0000000000..a1dd95c029
--- /dev/null
+++ b/libraries/libaosd/README
@@ -0,0 +1,5 @@
+libaosd (Atheme On Screen Display library)
+
+libaosd is an advanced on screen display library. It supports many
+modern features like anti-aliased text and composited rendering via
+XComposite, as well as support for rendering Cairo and Pango layouts.
diff --git a/libraries/libaosd/libaosd.SlackBuild b/libraries/libaosd/libaosd.SlackBuild
new file mode 100644
index 0000000000..9232167925
--- /dev/null
+++ b/libraries/libaosd/libaosd.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for libaosd
+
+# Written by Pablo Santamaria (pablosantamaria@gmail.com)
+
+PRGNAM=libaosd
+VERSION=${VERSION:-0.2.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libaosd/libaosd.info b/libraries/libaosd/libaosd.info
new file mode 100644
index 0000000000..518c5accf0
--- /dev/null
+++ b/libraries/libaosd/libaosd.info
@@ -0,0 +1,10 @@
+PRGNAM="libaosd"
+VERSION="0.2.5"
+HOMEPAGE="http://www.atheme.org/"
+DOWNLOAD="http://distfiles.atheme.org/libaosd-0.2.5.tgz"
+MD5SUM="957eae459ebe7f7c76612b489f32d2e5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Pablo Santamaria"
+EMAIL="pablosantamaria@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/libraries/libaosd/slack-desc b/libraries/libaosd/slack-desc
new file mode 100644
index 0000000000..2f1c7b8d63
--- /dev/null
+++ b/libraries/libaosd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+libaosd: libaosd (Atheme On Screen Display library)
+libaosd:
+libaosd: libaosd is an advanced on screen display library. It supports many
+libaosd: modern features like anti-aliased text and composited rendering via
+libaosd: XComposite, as well as support for rendering Cairo and Pango layouts.
+libaosd:
+libaosd:
+libaosd:
+libaosd:
+libaosd:
+libaosd: